# Hypixel Auction House Flipper

# Changes
- Made auction command copyable in a single click
- Uses a different and more accurate JSON for retrieving average auction prices
- Added the average price to message description
- Add minAvgProfit to config which allows for the user to set a minimum profit based on the average price 

# Features:

- Custom filters (Catergory, Name, Enchantment..)
- Auction Copy Paste Link
- Profit, Cost, LBIN information
- Type of Auction (Snipe or under valued item)
- Sales/Day check
- Mininimal profit in value and percentage
- Automatic price refresher
- Discord Webhook integration
- Ability to make some high tier enchantments worthless (like Looking 4, Luck 6 etc..)
- Bad Enchantment filter
- And more.. 

# Setup

## .env
`.env` file is needed due to docker compose. Even if you are not using docker and docker compose, **.ENV IS NEEDED**
the example .env is
```
webhook_url=<url_of_webhook>
webhook_name=Flipper
webhook_profile_picture_link=https://cdn.discordapp.com/avatars/486155512568741900/164084b936b4461fe9505398f7383a0e.png?size=4096
```
You can also add these as environment variables into your system when running Node or run the app via `node --env-file=.env index.js`

## config.json
### filters
- itemIDExclusions: exclusion based on itemID (contains, doesnt have to be the full itemID name)
- EnchantThreshold and EnchantThresholdConditionalBypass are used for **Raw Crafting**. I suggest leaving them as they are.
